Subject: Re: Wireless statistics for bcm43xx-d80211

From: Larry Finger <[email-masked]>
Date: Wed, 19 Jul 2006 14:42:01 -0500

Dan Williams wrote:
> 
> Actually, now that I think about it, why are _any_ applets
> screen-scraping /proc/net/wireless anymore?  If they profess to be a
> wireless applet, yet screenscrape /proc/net/wireless, that's suspect
> right there.  The ioctls for status are quite well-defined and haven't
> changed in a very long time (ie, SIOCGIWRANGE).
> 
> On the flip side, /proc/net/wireless has been supported since the dawn
> of time (ok, not really) and is the textual interface for reporting
> wireless statistic, but maybe that shouldn't be the case anymore.
> 

I finally found the source for the applet, and it is using iwlib to get the statistics. If the 
kernel's version of WE is really old, it will use /proc/net/wireless. For newer kernels, it is using 
the appropriate ioctl. When I get time, I will fix the error and submit a patch to KDE.

As an interim workaround, I downloaded and built kwlaninfo, a different KDE kicker applet. I don't 
like it very much but it does show the needed info.

Larry